From b5429d9c954cbaf65f01392233de2a9ba9c5f90f Mon Sep 17 00:00:00 2001
From: Pranab Das <31024886+pranabdas@users.noreply.github.com>
Date: Tue, 12 Mar 2024 23:06:25 +0800
Subject: [PATCH 14/19] SOF-6927: fix NTYP_WITH_LABELS

---
 src/context/providers/espresso/providers.js | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/context/providers/espresso/providers.js b/src/context/providers/espresso/providers.js
index 0f4ebf4..2069afe 100644
--- a/src/context/providers/espresso/providers.js
+++ b/src/context/providers/espresso/providers.js
@@ -60,8 +60,8 @@ export class QEPWXContextProvider extends mix(ExecutableContextProvider).with(
         return material.Basis.uniqueElements.length;
     }
 
-    get NTYP_WITH_LABELS() {
-        return this.atomSymbolsWithLabels.length;
+    static NTYP_WITH_LABELS(material) {
+        return this.atomSymbolsWithLabels(material).length;
     }
 
     buildQEPWXContext(material) {
@@ -74,7 +74,7 @@ export class QEPWXContextProvider extends mix(ExecutableContextProvider).with(
             ATOMIC_SPECIES_WITH_LABELS: this.ATOMIC_SPECIES_WITH_LABELS(material),
             NAT: QEPWXContextProvider.NAT(material),
             NTYP: QEPWXContextProvider.NTYP(material),
-            NTYP_WITH_LABELS: QEPWXContextProvider.NTYP_WITH_LABELS,
+            NTYP_WITH_LABELS: QEPWXContextProvider.NTYP_WITH_LABELS(material),
             ATOMIC_POSITIONS: QEPWXContextProvider.atomicPositionsWithConstraints(material),
             ATOMIC_POSITIONS_WITHOUT_CONSTRAINTS: QEPWXContextProvider.atomicPositions(material),
             CELL_PARAMETERS: QEPWXContextProvider.CELL_PARAMETERS(material),

